Index: inc/document.hxx
===================================================================
RCS file: /cvs/sc/sc/inc/document.hxx,v
retrieving revision 1.88
retrieving revision 1.88.28.2
diff -u -r1.88 -r1.88.28.2
--- inc/document.hxx	28 Sep 2005 11:26:15 -0000	1.88
+++ inc/document.hxx	1 Nov 2005 14:00:48 -0000	1.88.28.2
@@ -170,10 +170,10 @@
 
 
 #ifdef _ZFORLIST_DECLARE_TABLE
-class SvULONGTable;
+class SvNumberFormatterIndexTable;
 #else
 class Table;
-typedef Table SvULONGTable;
+typedef Table SvNumberFormatterIndexTable;
 #endif
 
 
@@ -262,7 +262,7 @@
 	XColorTable*		pColorTable;
 	ScConditionalFormatList* pCondFormList;				// bedingte Formate
 	ScValidationDataList* pValidationList;				// Gueltigkeit
-	SvULONGTable*		pFormatExchangeList;			// zum Umsetzen von Zahlenformaten
+	SvNumberFormatterIndexTable*	pFormatExchangeList;			// zum Umsetzen von Zahlenformaten
 	ScTable*			pTab[MAXTABCOUNT];
 	ScRangeName*		pRangeName;
 	ScDBCollection*		pDBCollection;
@@ -500,7 +500,7 @@
 	SC_DLLPUBLIC BOOL			GetName( SCTAB nTab, String& rName ) const;
 	BOOL			GetTable( const String& rName, SCTAB& rTab ) const;
 	inline SCTAB	GetTableCount() const { return nMaxTableNumber; }
-	SvULONGTable*	GetFormatExchangeList() const { return pFormatExchangeList; }
+	SvNumberFormatterIndexTable* GetFormatExchangeList() const { return pFormatExchangeList; }
 
 	void			SetDocProtection( BOOL bProtect, const com::sun::star::uno::Sequence <sal_Int8>& aPass );
 	void			SetTabProtection( SCTAB nTab, BOOL bProtect, const com::sun::star::uno::Sequence <sal_Int8>& aPass );
@@ -712,8 +712,8 @@
 	void			GetValue( SCCOL nCol, SCROW nRow, SCTAB nTab, double& rValue );
 	double			RoundValueAsShown( double fVal, ULONG nFormat );
 	void			GetNumberFormat( SCCOL nCol, SCROW nRow, SCTAB nTab,
-									 ULONG& rFormat );
-	ULONG			GetNumberFormat( const ScAddress& ) const;
+									 sal_uInt32& rFormat );
+	sal_uInt32		GetNumberFormat( const ScAddress& ) const;
 					/// if no number format attribute is set the calculated
 					/// number format of the formula cell is returned
 	void			GetNumberFormatInfo( short& nType, ULONG& nIndex,
@@ -1103,7 +1103,7 @@
 									BOOL bPutToPool = FALSE );
 	void			SetPattern( SCCOL nCol, SCROW nRow, SCTAB nTab, const ScPatternAttr& rAttr,
 									BOOL bPutToPool = FALSE );
-	void            DeleteNumberFormat( const ULONG* pDelKeys, ULONG nCount );
+	void            DeleteNumberFormat( const sal_uInt32* pDelKeys, sal_uInt32 nCount );
 
 	void			AutoFormat( SCCOL nStartCol, SCROW nStartRow, SCCOL nEndCol, SCROW nEndRow,
 									USHORT nFormatNo, const ScMarkData& rMark );
Index: source/core/data/column3.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/data/column3.cxx,v
retrieving revision 1.18
retrieving revision 1.18.28.1
diff -u -r1.18 -r1.18.28.1
--- source/core/data/column3.cxx	28 Sep 2005 11:29:59 -0000	1.18
+++ source/core/data/column3.cxx	26 Oct 2005 17:51:43 -0000	1.18.28.1
@@ -1239,7 +1239,7 @@
 		if (rString.Len() > 0)
 		{
 			double nVal;
-			ULONG nIndex, nOldIndex;
+			sal_uInt32 nIndex, nOldIndex;
 			sal_Unicode cFirstChar;
 			SvNumberFormatter* pFormatter = pDocument->GetFormatTable();
 			SfxObjectShell* pDocSh = pDocument->GetDocumentShell();
Index: source/core/data/dociter.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/data/dociter.cxx,v
retrieving revision 1.15
retrieving revision 1.15.44.1
diff -u -r1.15 -r1.15.44.1
--- source/core/data/dociter.cxx	8 Sep 2005 18:18:55 -0000	1.15
+++ source/core/data/dociter.cxx	26 Oct 2005 17:51:43 -0000	1.15.44.1
@@ -492,7 +492,7 @@
 	for (i=0; (i<nCount) && (aParam.GetEntry(i).bDoQuery); i++)
 	{
 		ScQueryEntry& rEntry = aParam.GetEntry(i);
-		ULONG nIndex = 0;
+		sal_uInt32 nIndex = 0;
 		rEntry.bQueryByString =
 				!(pDoc->GetFormatTable()->IsNumberFormat(*rEntry.pStr, nIndex, rEntry.nVal));
 	}
@@ -774,7 +774,7 @@
 		for (i=0; (i<MAXQUERY) && (aParam.GetEntry(i).bDoQuery); i++)
 		{
 			ScQueryEntry& rEntry = aParam.GetEntry(i);
-			ULONG nIndex = 0;
+			sal_uInt32 nIndex = 0;
 			rEntry.bQueryByString =
 					 !(pDoc->GetFormatTable()->IsNumberFormat(*rEntry.pStr,
 															  nIndex, rEntry.nVal));
Index: source/core/data/documen2.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/data/documen2.cxx,v
retrieving revision 1.52
retrieving revision 1.52.28.2
diff -u -r1.52 -r1.52.28.2
--- source/core/data/documen2.cxx	28 Sep 2005 11:30:23 -0000	1.52
+++ source/core/data/documen2.cxx	1 Nov 2005 14:00:49 -0000	1.52.28.2
@@ -1343,7 +1343,7 @@
 	bLostData = TRUE;
 }
 
-void ScDocument::DeleteNumberFormat( const ULONG* pDelKeys, ULONG nCount )
+void ScDocument::DeleteNumberFormat( const sal_uInt32* pDelKeys, sal_uInt32 nCount )
 {
 /*
 	for (ULONG i = 0; i < nCount; i++)
@@ -1717,7 +1717,7 @@
 		SvNumberFormatter* pOtherFormatter = pSrcDoc->xPoolHelper->GetFormTable();
 		if (pOtherFormatter && pOtherFormatter != pThisFormatter)
 		{
-			SvULONGTable* pExchangeList =
+			SvNumberFormatterIndexTable* pExchangeList =
 					 pThisFormatter->MergeFormatter(*(pOtherFormatter));
 			if (pExchangeList->Count() > 0)
 				pFormatExchangeList = pExchangeList;
Index: source/core/data/documen8.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/data/documen8.cxx,v
retrieving revision 1.40
retrieving revision 1.40.28.2
diff -u -r1.40 -r1.40.28.2
--- source/core/data/documen8.cxx	28 Sep 2005 11:31:22 -0000	1.40
+++ source/core/data/documen8.cxx	1 Nov 2005 14:00:50 -0000	1.40.28.2
@@ -331,7 +331,7 @@
     SvNumberFormatter* pOtherFormatter = pSrcDoc->xPoolHelper->GetFormTable();
     if (pOtherFormatter && pOtherFormatter != pThisFormatter)
     {
-        SvULONGTable* pExchangeList =
+        SvNumberFormatterIndexTable* pExchangeList =
                 pThisFormatter->MergeFormatter(*(pOtherFormatter));
         if (pExchangeList->Count() > 0)
             pFormatExchangeList = pExchangeList;
Index: source/core/data/document.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/data/document.cxx,v
retrieving revision 1.67
retrieving revision 1.67.28.2
diff -u -r1.67 -r1.67.28.2
--- source/core/data/document.cxx	28 Sep 2005 11:31:44 -0000	1.67
+++ source/core/data/document.cxx	1 Nov 2005 14:00:51 -0000	1.67.28.2
@@ -1657,7 +1657,7 @@
 			SvNumberFormatter* pOtherFormatter = pClipDoc->xPoolHelper->GetFormTable();
 			if (pOtherFormatter && pOtherFormatter != pThisFormatter)
 			{
-				SvULONGTable* pExchangeList =
+				SvNumberFormatterIndexTable* pExchangeList =
 						 pThisFormatter->MergeFormatter(*(pOtherFormatter));
 				if (pExchangeList->Count() > 0)
 					pFormatExchangeList = pExchangeList;
@@ -2147,7 +2147,7 @@
 
 
 void ScDocument::GetNumberFormat( SCCOL nCol, SCROW nRow, SCTAB nTab,
-								  ULONG& rFormat )
+								  sal_uInt32& rFormat )
 {
 	if (VALIDTAB(nTab))
 		if (pTab[nTab])
@@ -2159,7 +2159,7 @@
 }
 
 
-ULONG ScDocument::GetNumberFormat( const ScAddress& rPos ) const
+sal_uInt32 ScDocument::GetNumberFormat( const ScAddress& rPos ) const
 {
 	SCTAB nTab = rPos.Tab();
 	if ( pTab[nTab] )
Index: source/core/data/dpdimsave.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/data/dpdimsave.cxx,v
retrieving revision 1.3
retrieving revision 1.3.44.1
diff -u -r1.3 -r1.3.44.1
--- source/core/data/dpdimsave.cxx	8 Sep 2005 18:22:17 -0000	1.3
+++ source/core/data/dpdimsave.cxx	26 Oct 2005 17:51:46 -0000	1.3.44.1
@@ -130,7 +130,7 @@
 
     for ( std::vector<String>::const_iterator aIter(aElements.begin()); aIter != aElements.end(); aIter++ )
     {
-        ULONG nFormat = 0;      //! ...
+        sal_uInt32 nFormat = 0;      //! ...
         double fValue;
         if ( pFormatter->IsNumberFormat( *aIter, nFormat, fValue ) )
             aData = ScDPItemData( *aIter, fValue, TRUE );
Index: source/core/data/dpshttab.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/data/dpshttab.cxx,v
retrieving revision 1.6
retrieving revision 1.6.44.1
diff -u -r1.6 -r1.6.44.1
--- source/core/data/dpshttab.cxx	8 Sep 2005 18:23:56 -0000	1.6
+++ source/core/data/dpshttab.cxx	26 Oct 2005 17:51:46 -0000	1.6.44.1
@@ -104,7 +104,7 @@
             }
             else
             {
-		        ULONG nIndex = 0;
+		        sal_uInt32 nIndex = 0;
 		        rEntry.bQueryByString =
 					        !(pD->GetFormatTable()->
 						        IsNumberFormat(*rEntry.pStr, nIndex, rEntry.nVal));
Index: source/core/data/patattr.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/data/patattr.cxx,v
retrieving revision 1.27
retrieving revision 1.27.44.2
diff -u -r1.27 -r1.27.44.2
--- source/core/data/patattr.cxx	8 Sep 2005 18:27:59 -0000	1.27
+++ source/core/data/patattr.cxx	1 Nov 2005 14:00:52 -0000	1.27.44.2
@@ -915,7 +915,7 @@
 		SfxStyleSheetBase*		pSrcStyle,
 		SfxStyleSheetBasePool*	pSrcPool,
         SfxStyleSheetBasePool*	pDestPool,
-        const SvULONGTable*     pFormatExchangeList
+        const SvNumberFormatterIndexTable*     pFormatExchangeList
 	)
 {
 	if ( !pSrcStyle || !pDestPool || !pSrcPool )
@@ -1019,7 +1019,7 @@
 
 						ScStyleSheetPool* pSrcSPool = pSrcDoc->GetStyleSheetPool();
 						ScStyleSheetPool* pDestSPool = pDestDoc->GetStyleSheetPool();
-                        const SvULONGTable* pFormatExchangeList = pDestDoc->GetFormatExchangeList();
+                        const SvNumberFormatterIndexTable* pFormatExchangeList = pDestDoc->GetFormatExchangeList();
 						USHORT nStlCnt = pOldData->Count();
 						for (USHORT i=0; i<nStlCnt; i++)
 						{
Index: source/core/data/table3.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/data/table3.cxx,v
retrieving revision 1.21
retrieving revision 1.21.44.1
diff -u -r1.21 -r1.21.44.1
--- source/core/data/table3.cxx	8 Sep 2005 18:30:49 -0000	1.21
+++ source/core/data/table3.cxx	26 Oct 2005 17:51:47 -0000	1.21.44.1
@@ -1306,7 +1306,7 @@
 
 		if ( rEntry.bQueryByString )
 		{
-			ULONG nIndex = 0;
+			sal_uInt32 nIndex = 0;
 			rEntry.bQueryByString = !(pDocument->GetFormatTable()->
 				IsNumberFormat( *rEntry.pStr, nIndex, rEntry.nVal ));
 		}
Index: source/core/data/validat.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/data/validat.cxx,v
retrieving revision 1.15
retrieving revision 1.15.28.1
diff -u -r1.15 -r1.15.28.1
--- source/core/data/validat.cxx	28 Sep 2005 11:34:50 -0000	1.15
+++ source/core/data/validat.cxx	26 Oct 2005 17:51:48 -0000	1.15.28.1
@@ -534,7 +534,7 @@
 
 	//	Test, was es denn ist - wie in ScColumn::SetString
 
-	ULONG nFormat = rPattern.GetNumberFormat( pFormatter );
+	sal_uInt32 nFormat = rPattern.GetNumberFormat( pFormatter );
 
 	double nVal;
 	BOOL bIsVal = pFormatter->IsNumberFormat( rTest, nFormat, nVal );
Index: source/core/tool/chartarr.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/tool/chartarr.cxx,v
retrieving revision 1.16
retrieving revision 1.16.40.1
diff -u -r1.16 -r1.16.40.1
--- source/core/tool/chartarr.cxx	8 Sep 2005 18:39:54 -0000	1.16
+++ source/core/tool/chartarr.cxx	26 Oct 2005 17:51:49 -0000	1.16.40.1
@@ -734,7 +734,7 @@
 							nVal = ((ScValueCell*)pCell)->GetValue();
 							if ( bCalcAsShown && nVal != 0.0 )
 							{
-								ULONG nFormat;
+								sal_uInt32 nFormat;
 								pDocument->GetNumberFormat( pCols[nCol],
 									pRows[nRow], nTab1, nFormat );
 								nVal = pDocument->RoundValueAsShown( nVal, nFormat );
Index: source/core/tool/compiler.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/tool/compiler.cxx,v
retrieving revision 1.54
retrieving revision 1.54.28.1
diff -u -r1.54 -r1.54.28.1
--- source/core/tool/compiler.cxx	28 Sep 2005 11:36:34 -0000	1.54
+++ source/core/tool/compiler.cxx	26 Oct 2005 17:51:49 -0000	1.54.28.1
@@ -859,7 +859,7 @@
 BOOL ScCompiler::IsValue( const String& rSym )
 {
     double fVal;
-    ULONG nIndex = ( pSymbolTable == pSymbolTableEnglish ?
+    sal_uInt32 nIndex = ( pSymbolTable == pSymbolTableEnglish ?
         pDoc->GetFormatTable()->GetStandardIndex( LANGUAGE_ENGLISH_US ) : 0 );
 //  ULONG nIndex = 0;
 ////    ULONG nIndex = pDoc->GetFormatTable()->GetStandardIndex(ScGlobal::eLnge);
Index: source/core/tool/ddelink.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/tool/ddelink.cxx,v
retrieving revision 1.12
retrieving revision 1.12.42.1
diff -u -r1.12 -r1.12.42.1
--- source/core/tool/ddelink.cxx	8 Sep 2005 18:42:00 -0000	1.12
+++ source/core/tool/ddelink.cxx	26 Oct 2005 17:51:50 -0000	1.12.42.1
@@ -213,7 +213,7 @@
 			for (SCSIZE nC=0; nC<nCols; nC++)
 			{
 				aEntry = aLine.GetToken( (xub_StrLen) nC, '\t' );
-				ULONG nIndex = nStdFormat;
+				sal_uInt32 nIndex = nStdFormat;
 				double fVal;
 				if ( nMode != SC_DDE_TEXT && pFormatter->IsNumberFormat( aEntry, nIndex, fVal ) )
 					pResult->PutDouble( fVal, nC, nR );
Index: source/core/tool/interpr1.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/tool/interpr1.cxx,v
retrieving revision 1.36
retrieving revision 1.36.28.1
diff -u -r1.36 -r1.36.28.1
--- source/core/tool/interpr1.cxx	28 Sep 2005 11:37:54 -0000	1.36
+++ source/core/tool/interpr1.cxx	26 Oct 2005 17:51:51 -0000	1.36.28.1
@@ -2355,7 +2355,7 @@
 void ScInterpreter::ScValue()
 {
 	String aInputString = GetString();
-	ULONG nFIndex = 0;					// damit default Land/Spr.
+	sal_uInt32 nFIndex = 0;					// damit default Land/Spr.
 	double fVal;
 	if (pFormatter->IsNumberFormat(aInputString, nFIndex, fVal))
 		PushDouble(fVal);
@@ -2665,7 +2665,7 @@
 				if( eFunc == ifCOUNT )
 				{
 					String aStr( PopString() );
-					ULONG nFIndex = 0;					// damit default Land/Spr.
+					sal_uInt32 nFIndex = 0;					// damit default Land/Spr.
 					if ( bTextAsZero || pFormatter->IsNumberFormat(aStr, nFIndex, fVal))
 						nCount++;
 				}
@@ -3746,7 +3746,7 @@
 			else
 			{
 				rParam.FillInExcelSyntax(rString, 0);
-				ULONG nIndex = 0;
+				sal_uInt32 nIndex = 0;
 				rEntry.bQueryByString =
 					!(pFormatter->IsNumberFormat(
 						*rEntry.pStr, nIndex, rEntry.nVal));
@@ -3923,7 +3923,7 @@
 			else
 			{
 				rParam.FillInExcelSyntax(rString, 0);
-				ULONG nIndex = 0;
+				sal_uInt32 nIndex = 0;
 				rEntry.bQueryByString =
 					!(pFormatter->IsNumberFormat(
 						*rEntry.pStr, nIndex, rEntry.nVal));
@@ -5046,7 +5046,7 @@
 						ScQueryEntry& rEntry = rParam.GetEntry(i);
 						if ( rEntry.bDoQuery )
 						{
-							ULONG nIndex = 0;
+							sal_uInt32 nIndex = 0;
 							rEntry.bQueryByString = !pFormatter->IsNumberFormat(
 								*rEntry.pStr, nIndex, rEntry.nVal );
 							if ( rEntry.bQueryByString && !rParam.bRegExp )
Index: source/core/tool/interpr2.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/tool/interpr2.cxx,v
retrieving revision 1.24
retrieving revision 1.24.38.1
diff -u -r1.24 -r1.24.38.1
--- source/core/tool/interpr2.cxx	8 Sep 2005 18:44:55 -0000	1.24
+++ source/core/tool/interpr2.cxx	26 Oct 2005 17:51:52 -0000	1.24.38.1
@@ -171,7 +171,7 @@
 void ScInterpreter::ScGetDateValue()
 {
 	String aInputString = GetString();
-	ULONG nFIndex = 0;					// damit default Land/Spr.
+	sal_uInt32 nFIndex = 0;					// damit default Land/Spr.
 	double fVal;
 	if (pFormatter->IsNumberFormat(aInputString, nFIndex, fVal))
 	{
@@ -388,7 +388,7 @@
 void ScInterpreter::ScGetTimeValue()
 {
 	String aInputString = GetString();
-	ULONG nFIndex = 0;					// damit default Land/Spr.
+	sal_uInt32 nFIndex = 0;					// damit default Land/Spr.
 	double fVal;
 	if (pFormatter->IsNumberFormat(aInputString, nFIndex, fVal))
 	{
Index: source/core/tool/interpr4.cxx
===================================================================
RCS file: /cvs/sc/sc/source/core/tool/interpr4.cxx,v
retrieving revision 1.38
retrieving revision 1.38.40.1
diff -u -r1.38 -r1.38.40.1
--- source/core/tool/interpr4.cxx	8 Sep 2005 18:45:32 -0000	1.38
+++ source/core/tool/interpr4.cxx	26 Oct 2005 17:51:52 -0000	1.38.40.1
@@ -265,7 +265,7 @@
 					((ScStringCell*)pCell)->GetString( aStr );
 				else
 					((ScEditCell*)pCell)->GetString( aStr );
-				ULONG nFIndex = 0;					// damit default Land/Spr.
+				sal_uInt32 nFIndex = 0;					// damit default Land/Spr.
 				if ( !pFormatter->IsNumberFormat( aStr, nFIndex, fValue ) )
 				{
 					SetError(errNoValue);
@@ -1442,7 +1442,7 @@
 		case svString:
 		{
 			String aStr(PopString());
-			ULONG nFIndex = 0;					// damit default Land/Spr.
+			sal_uInt32 nFIndex = 0;					// damit default Land/Spr.
 			if(!pFormatter->IsNumberFormat( aStr, nFIndex, nVal ) )
 			{
 				SetError(errIllegalArgument);
Index: source/filter/dif/difimp.cxx
===================================================================
RCS file: /cvs/sc/sc/source/filter/dif/difimp.cxx,v
retrieving revision 1.10
retrieving revision 1.10.44.1
diff -u -r1.10 -r1.10.44.1
--- source/filter/dif/difimp.cxx	8 Sep 2005 18:53:12 -0000	1.10
+++ source/filter/dif/difimp.cxx	26 Oct 2005 17:51:53 -0000	1.10.44.1
@@ -494,7 +494,7 @@
 				{	// ...und zur Strafe mit'm Numberformatter...
 					DBG_ASSERT( pNumFormatter, "-DifParser::GetNextDataset(): No Formatter, more fun!" );
 					String			aTestVal( pAkt );
-					ULONG			nFormat = 0;
+					sal_uInt32		nFormat = 0;
 					double			fTmpVal;
 					if( pNumFormatter->IsNumberFormat( aTestVal, nFormat, fTmpVal ) )
 					{
Index: source/filter/excel/excrecds.cxx
===================================================================
RCS file: /cvs/sc/sc/source/filter/excel/excrecds.cxx,v
retrieving revision 1.79
retrieving revision 1.79.44.1
diff -u -r1.79 -r1.79.44.1
--- source/filter/excel/excrecds.cxx	8 Sep 2005 18:56:40 -0000	1.79
+++ source/filter/excel/excrecds.cxx	26 Oct 2005 17:51:54 -0000	1.79.44.1
@@ -652,7 +652,7 @@
 	else
 	{
 		double	fVal	= 0.0;
-		ULONG	nIndex	= 0;
+		sal_uInt32	nIndex	= 0;
         BOOL    bIsNum  = bLen ? GetFormatter().IsNumberFormat( sText, nIndex, fVal ) : TRUE;
 		String*	pText	= bIsNum ? NULL : &sText;
 
Index: source/filter/excel/xestyle.cxx
===================================================================
RCS file: /cvs/sc/sc/source/filter/excel/xestyle.cxx,v
retrieving revision 1.20
retrieving revision 1.20.26.1
diff -u -r1.20 -r1.20.26.1
--- source/filter/excel/xestyle.cxx	28 Sep 2005 11:45:42 -0000	1.20
+++ source/filter/excel/xestyle.cxx	26 Oct 2005 17:51:55 -0000	1.20.26.1
@@ -1304,7 +1304,7 @@
             {
                 xub_StrLen nCheckPos;
                 short nType = NUMBERFORMAT_DEFINED;
-                ULONG nKey;
+                sal_uInt32 nKey;
                 String aTemp( pEntry->GetFormatstring() );
                 mxFormatter->PutandConvertEntry( aTemp, nCheckPos, nType, nKey, eLang, LANGUAGE_ENGLISH_US );
                 DBG_ASSERT( nCheckPos == 0, "XclExpNumFmtBuffer::WriteFormatRecord - format code not convertible" );
Index: source/filter/excel/xistyle.cxx
===================================================================
RCS file: /cvs/sc/sc/source/filter/excel/xistyle.cxx,v
retrieving revision 1.23
retrieving revision 1.23.42.1
diff -u -r1.23 -r1.23.42.1
--- source/filter/excel/xistyle.cxx	8 Sep 2005 19:06:27 -0000	1.23
+++ source/filter/excel/xistyle.cxx	26 Oct 2005 17:51:56 -0000	1.23.42.1
@@ -544,7 +544,7 @@
         // insert/convert the Excel number format
         xub_StrLen nCheckPos;
         short nType = NUMBERFORMAT_DEFINED;
-        ULONG nKey;
+        sal_uInt32 nKey;
         if( rNumFmt.maFormat.Len() )
         {
             String aFormat( rNumFmt.maFormat );
Index: source/ui/app/inputhdl.cxx
===================================================================
RCS file: /cvs/sc/sc/source/ui/app/inputhdl.cxx,v
retrieving revision 1.60
retrieving revision 1.60.40.1
diff -u -r1.60 -r1.60.40.1
--- source/ui/app/inputhdl.cxx	8 Sep 2005 20:22:13 -0000	1.60
+++ source/ui/app/inputhdl.cxx	26 Oct 2005 17:52:21 -0000	1.60.40.1
@@ -2070,7 +2070,7 @@
 			ScDocument* pDoc = pActiveViewSh->GetViewData()->GetDocument();
 			SvNumberFormatter* pFormatter = pDoc->GetFormatTable();
 			// without conditional format, as in ScColumn::SetString
-			ULONG nFormat = pLastPattern->GetNumberFormat( pFormatter );
+			sal_uInt32 nFormat = pLastPattern->GetNumberFormat( pFormatter );
 			double nVal;
 			if ( pFormatter->IsNumberFormat( aString, nFormat, nVal ) )
 			{
Index: source/ui/docshell/docfunc.cxx
===================================================================
RCS file: /cvs/sc/sc/source/ui/docshell/docfunc.cxx,v
retrieving revision 1.55
retrieving revision 1.55.28.1
diff -u -r1.55 -r1.55.28.1
--- source/ui/docshell/docfunc.cxx	28 Sep 2005 12:09:11 -0000	1.55
+++ source/ui/docshell/docfunc.cxx	26 Oct 2005 17:52:33 -0000	1.55.28.1
@@ -982,7 +982,7 @@
 	else		// (nur) auf englisches Zahlformat testen
 	{
 		SvNumberFormatter* pFormatter = pDoc->GetFormatTable();
-		ULONG nEnglish = pFormatter->GetStandardIndex(LANGUAGE_ENGLISH_US);
+		sal_uInt32 nEnglish = pFormatter->GetStandardIndex(LANGUAGE_ENGLISH_US);
 		double fVal;
 		if ( pFormatter->IsNumberFormat( rText, nEnglish, fVal ) )
 			pNewCell = new ScValueCell( fVal );
Index: source/ui/docshell/docsh.cxx
===================================================================
RCS file: /cvs/sc/sc/source/ui/docshell/docsh.cxx,v
retrieving revision 1.81
retrieving revision 1.81.38.1
diff -u -r1.81 -r1.81.38.1
--- source/ui/docshell/docsh.cxx	8 Sep 2005 20:45:36 -0000	1.81
+++ source/ui/docshell/docsh.cxx	26 Oct 2005 17:52:40 -0000	1.81.38.1
@@ -204,7 +204,7 @@
 //------------------------------------------------------------------
 
 void __EXPORT ScDocShell::FillClass( SvGlobalName* pClassName,
-										ULONG* pFormat,
+										sal_uInt32* pFormat,
 										String* pAppName,
 										String* pFullTypeName,
 										String* pShortTypeName,
@@ -1513,7 +1513,7 @@
                     }
                     else if ( ((ScFormulaCell*)pCell)->IsValue() )
                     {
-                        ULONG nFormat;
+                        sal_uInt32 nFormat;
                         aDocument.GetNumberFormat( nCol, nRow, nTab, nFormat );
                         if ( bFixedWidth )
                         {
@@ -1547,7 +1547,7 @@
                 break;
             case CELLTYPE_VALUE :
                 {
-                    ULONG nFormat;
+                    sal_uInt32 nFormat;
                     aDocument.GetNumberFormat( nCol, nRow, nTab, nFormat );
                     if ( bFixedWidth )
                     {
Index: source/ui/docshell/docsh8.cxx
===================================================================
RCS file: /cvs/sc/sc/source/ui/docshell/docsh8.cxx,v
retrieving revision 1.20
retrieving revision 1.20.28.1
diff -u -r1.20 -r1.20.28.1
--- source/ui/docshell/docsh8.cxx	28 Sep 2005 12:09:41 -0000	1.20
+++ source/ui/docshell/docsh8.cxx	26 Oct 2005 17:52:40 -0000	1.20.28.1
@@ -581,7 +581,7 @@
 				nDbType = sdbc::DataType::VARCHAR;
 			else
 			{
-				ULONG nFormat;
+				sal_uInt32 nFormat;
 				pDoc->GetNumberFormat( nCol, nFirstDataRow, nTab, nFormat );
 				if ( pCell && pCell->GetCellType() == CELLTYPE_FORMULA
 				  && ((nFormat % SV_COUNTRY_LANGUAGE_OFFSET) == 0) )
@@ -969,7 +969,7 @@
 								}
 								else
 								{
-									ULONG nFormat;
+									sal_uInt32 nFormat;
 									Color* pColor;
 									aDocument.GetNumberFormat( nDocCol, nDocRow, nTab, nFormat );
 									ScCellFormat::GetString( pCell, nFormat, aString, &pColor, *pNumFmt );
Index: source/ui/docshell/impex.cxx
===================================================================
RCS file: /cvs/sc/sc/source/ui/docshell/impex.cxx,v
retrieving revision 1.32
retrieving revision 1.32.40.1
diff -u -r1.32 -r1.32.40.1
--- source/ui/docshell/impex.cxx	8 Sep 2005 20:48:32 -0000	1.32
+++ source/ui/docshell/impex.cxx	26 Oct 2005 17:52:41 -0000	1.32.40.1
@@ -809,7 +809,7 @@
 		//!	SetString mit Extra-Flag ???
 
 		SvNumberFormatter* pFormatter = pDoc->GetFormatTable();
-		ULONG nEnglish = pFormatter->GetStandardIndex(LANGUAGE_ENGLISH_US);
+		sal_uInt32 nEnglish = pFormatter->GetStandardIndex(LANGUAGE_ENGLISH_US);
 		double fVal;
 		if ( pFormatter->IsNumberFormat( rStr, nEnglish, fVal ) )
 		{
@@ -1513,7 +1513,7 @@
                         aCode.Erase( nPos, 1 );
                     xub_StrLen nCheckPos;
                     short nType;
-                    ULONG nKey;
+                    sal_uInt32 nKey;
                     pDoc->GetFormatTable()->PutandConvertEntry(
                         aCode, nCheckPos, nType, nKey, LANGUAGE_ENGLISH_US,
                         ScGlobal::eLnge );
Index: source/ui/inc/docsh.hxx
===================================================================
RCS file: /cvs/sc/sc/source/ui/inc/docsh.hxx,v
retrieving revision 1.35
retrieving revision 1.35.42.1
diff -u -r1.35 -r1.35.42.1
--- source/ui/inc/docsh.hxx	8 Sep 2005 21:21:20 -0000	1.35
+++ source/ui/inc/docsh.hxx	26 Oct 2005 17:52:41 -0000	1.35.42.1
@@ -197,7 +197,7 @@
 	virtual SfxUndoManager*     GetUndoManager();
 
 	virtual void	FillClass( SvGlobalName * pClassName,
-							   ULONG * pFormat,
+							   sal_uInt32 * pFormat,
 							   String * pAppName,
 							   String * pFullTypeName,
 							   String * pShortTypeName,
Index: source/ui/miscdlgs/filldlg.cxx
===================================================================
RCS file: /cvs/sc/sc/source/ui/miscdlgs/filldlg.cxx,v
retrieving revision 1.5
retrieving revision 1.5.44.1
diff -u -r1.5 -r1.5.44.1
--- source/ui/miscdlgs/filldlg.cxx	8 Sep 2005 22:08:29 -0000	1.5
+++ source/ui/miscdlgs/filldlg.cxx	26 Oct 2005 17:52:42 -0000	1.5.44.1
@@ -242,7 +242,7 @@
 BOOL __EXPORT ScFillSeriesDlg::CheckStartVal()
 {
 	BOOL bValOk = FALSE;
-	ULONG  nKey = 0;
+	sal_uInt32 nKey = 0;
 	String aStr( aEdStartVal.GetText() );
 
 	if ( aStr.Len() == 0 || aBtnAutoFill.IsChecked())
@@ -261,7 +261,7 @@
 
 BOOL __EXPORT ScFillSeriesDlg::CheckIncrementVal()
 {
-	ULONG  nKey = 0;
+	sal_uInt32 nKey = 0;
 	String aStr( aEdIncrement.GetText() );
 
 	return rDoc.GetFormatTable()->IsNumberFormat( aStr, nKey, fIncrement );
@@ -273,7 +273,7 @@
 BOOL __EXPORT ScFillSeriesDlg::CheckEndVal()
 {
 	BOOL	bValOk = FALSE;
-	ULONG	nKey = 0;
+	sal_uInt32 nKey = 0;
 	String	aStr( aEdEndVal.GetText() );
 
 	if ( aStr.Len() == 0 )
Index: source/ui/miscdlgs/solvrdlg.cxx
===================================================================
RCS file: /cvs/sc/sc/source/ui/miscdlgs/solvrdlg.cxx,v
retrieving revision 1.8
retrieving revision 1.8.44.1
diff -u -r1.8 -r1.8.44.1
--- source/ui/miscdlgs/solvrdlg.cxx	8 Sep 2005 22:14:19 -0000	1.8
+++ source/ui/miscdlgs/solvrdlg.cxx	26 Oct 2005 17:52:42 -0000	1.8.44.1
@@ -222,7 +222,7 @@
 
 BOOL __EXPORT ScSolverDlg::CheckTargetValue( String& rStrVal )
 {
-	ULONG  n1 = 0;
+	sal_uInt32 n1 = 0;
 	double n2;
 
 	return pDoc->GetFormatTable()->IsNumberFormat( rStrVal, n1, n2 );
Index: source/ui/unoobj/cellsuno.cxx
===================================================================
RCS file: /cvs/sc/sc/source/ui/unoobj/cellsuno.cxx,v
retrieving revision 1.93
retrieving revision 1.93.28.1
diff -u -r1.93 -r1.93.28.1
--- source/ui/unoobj/cellsuno.cxx	23 Sep 2005 12:44:35 -0000	1.93
+++ source/ui/unoobj/cellsuno.cxx	26 Oct 2005 17:52:43 -0000	1.93.28.1
@@ -1323,7 +1323,7 @@
                 // Since the English formatter was constructed with
                 // LANGUAGE_ENGLISH_US the "General" format has index key 0,
                 // we don't have to query.
-				ULONG nNumFmt = bEnglish ?
+				sal_uInt32 nNumFmt = bEnglish ?
 //						pFormatter->GetStandardIndex(LANGUAGE_ENGLISH_US) :
                         0 :
 						pDoc->GetNumberFormat( rPosition );
Index: source/ui/view/cellsh1.cxx
===================================================================
RCS file: /cvs/sc/sc/source/ui/view/cellsh1.cxx,v
retrieving revision 1.39
retrieving revision 1.39.42.1
diff -u -r1.39 -r1.39.42.1
--- source/ui/view/cellsh1.cxx	8 Sep 2005 22:52:56 -0000	1.39
+++ source/ui/view/cellsh1.cxx	26 Oct 2005 17:52:44 -0000	1.39.42.1
@@ -593,7 +593,7 @@
 					const SfxPoolItem* pItem;
 					String	aFillDir, aFillCmd, aFillDateCmd;
 					String	aFillStep, aFillStart, aFillMax;
-					ULONG	nKey;
+					sal_uInt32 nKey;
 					double	fTmpVal;
 
 					bDoIt=FALSE;
@@ -657,7 +657,7 @@
 				else // (pReqArgs == NULL) => Dialog hochziehen
 				{
 					//
-					ULONG nPrivFormat;
+					sal_uInt32 nPrivFormat;
 					CellType eCellType;
 					pDoc->GetNumberFormat( nStartCol, nStartRow, nStartTab, nPrivFormat );
 					pDoc->GetCellType( nStartCol, nStartRow, nStartTab,eCellType );
Index: source/ui/view/tabvwsh5.cxx
===================================================================
RCS file: /cvs/sc/sc/source/ui/view/tabvwsh5.cxx,v
retrieving revision 1.8
retrieving revision 1.8.42.1
diff -u -r1.8 -r1.8.42.1
--- source/ui/view/tabvwsh5.cxx	8 Sep 2005 23:09:41 -0000	1.8
+++ source/ui/view/tabvwsh5.cxx	26 Oct 2005 17:52:45 -0000	1.8.42.1
@@ -417,11 +417,11 @@
 						ScDocument* 			 pDoc,
 						const SvxNumberInfoItem& rInfoItem )
 {
-	const ULONG nDelCount = rInfoItem.GetDelCount();
+	const sal_uInt32 nDelCount = rInfoItem.GetDelCount();
 
 	if ( nDelCount > 0 )
 	{
-		const ULONG* pDelArr = rInfoItem.GetDelArray();
+		const sal_uInt32* pDelArr = rInfoItem.GetDelArray();
 
 		for ( USHORT i=0; i<nDelCount; i++ )
 			rInfoItem.GetNumberFormatter()->DeleteEntry( pDelArr[i] );
Index: source/ui/view/tabvwsha.cxx
===================================================================
RCS file: /cvs/sc/sc/source/ui/view/tabvwsha.cxx,v
retrieving revision 1.16
retrieving revision 1.16.44.1
diff -u -r1.16 -r1.16.44.1
--- source/ui/view/tabvwsha.cxx	8 Sep 2005 23:10:30 -0000	1.16
+++ source/ui/view/tabvwsha.cxx	26 Oct 2005 17:52:45 -0000	1.16.44.1
@@ -105,7 +105,7 @@
 		aStr += '=';
 
 		//	Anzahl im Standardformat, die anderen nach Cursorposition
-		ULONG nNumFmt = 0;
+		sal_uInt32 nNumFmt = 0;
 		SvNumberFormatter* pFormatter = pDoc->GetFormatTable();
 		if ( eFunc != SUBTOTAL_FUNC_CNT && eFunc != SUBTOTAL_FUNC_CNT2 )
 		{
@@ -534,7 +534,7 @@
 					//!	Auch bei Zahlformat "Text"? -> dann beim Editieren wegnehmen
 
 					SvNumberFormatter* pFormatter = pDoc->GetFormatTable();
-					ULONG nNumFmt;
+					sal_uInt32 nNumFmt;
 					pDoc->GetNumberFormat( nPosX, nPosY, nTab, nNumFmt );
 					double fDummy;
 					if ( pFormatter->IsNumberFormat(aString, nNumFmt, fDummy) )
Index: source/ui/view/viewfunc.cxx
===================================================================
RCS file: /cvs/sc/sc/source/ui/view/viewfunc.cxx,v
retrieving revision 1.29
retrieving revision 1.29.26.1
diff -u -r1.29 -r1.29.26.1
--- source/ui/view/viewfunc.cxx	28 Sep 2005 12:20:28 -0000	1.29
+++ source/ui/view/viewfunc.cxx	26 Oct 2005 17:52:45 -0000	1.29.26.1
@@ -973,9 +973,9 @@
 
 	if ( pDialogSet->GetItemState( ATTR_VALUE_FORMAT ) == SFX_ITEM_SET )
 	{	// #82521# don't reset to default SYSTEM GENERAL if not intended
-		ULONG nOldFormat =
+		sal_uInt32 nOldFormat =
 			((const SfxUInt32Item&)pOldSet->Get( ATTR_VALUE_FORMAT )).GetValue();
-		ULONG nNewFormat =
+		sal_uInt32 nNewFormat =
 			((const SfxUInt32Item&)pDialogSet->Get( ATTR_VALUE_FORMAT )).GetValue();
 		if ( nNewFormat != nOldFormat )
 		{
@@ -993,7 +993,7 @@
 					SvxLanguageItem( eNewLang, ATTR_LANGUAGE_FORMAT ) );
 
 				//	#40606# nur die Sprache geaendert -> Zahlformat-Attribut nicht anfassen
-				ULONG nNewMod = nNewFormat % SV_COUNTRY_LANGUAGE_OFFSET;
+				sal_uInt32 nNewMod = nNewFormat % SV_COUNTRY_LANGUAGE_OFFSET;
 				if ( nNewMod == ( nOldFormat % SV_COUNTRY_LANGUAGE_OFFSET ) &&
 				 	nNewMod <= SV_MAX_ANZ_STANDARD_FORMATE )
 					aNewAttrs.GetItemSet().ClearItem( ATTR_VALUE_FORMAT );
@@ -2369,7 +2369,7 @@
 		return;
 	}
 
-	ULONG				nNumberFormat = 0;
+	sal_uInt32			nNumberFormat = 0;
 	ScViewData*			pViewData = GetViewData();
 	ScDocument*			pDoc = pViewData->GetDocument();
 	SvNumberFormatter*	pNumberFormatter = pDoc->GetFormatTable();
@@ -2378,7 +2378,7 @@
 
 	//	#67936# always take language from cursor position, even if there is a selection
 
-	ULONG nCurrentNumberFormat;
+	sal_uInt32 nCurrentNumberFormat;
 	pDoc->GetNumberFormat( pViewData->GetCurX(),
 						   pViewData->GetCurY(),
 						   pViewData->GetTabNo(),
@@ -2411,7 +2411,7 @@
 
 	//	Sprache immer von Cursorposition
 
-	ULONG nCurrentNumberFormat;
+	sal_uInt32 nCurrentNumberFormat;
 	pDoc->GetNumberFormat( pViewData->GetCurX(), pViewData->GetCurY(),
 						   pViewData->GetTabNo(), nCurrentNumberFormat );
 	const SvNumberformat* pEntry = pFormatter->GetEntry( nCurrentNumberFormat );
@@ -2420,7 +2420,7 @@
 	//	Index fuer String bestimmen
 
 	BOOL bOk = TRUE;
-	ULONG nNumberFormat = pFormatter->GetEntryKey( rCode, eLanguage );
+	sal_uInt32 nNumberFormat = pFormatter->GetEntryKey( rCode, eLanguage );
 	if ( nNumberFormat == NUMBERFORMAT_ENTRY_NOT_FOUND )
 	{
 		//	neu eintragen
@@ -2460,7 +2460,7 @@
 	SCROW nRow = GetViewData()->GetCurY();
 	SCTAB nTab = GetViewData()->GetTabNo();
 
-	ULONG nOldFormat;
+	sal_uInt32 nOldFormat;
 	pDoc->GetNumberFormat( nCol, nRow, nTab, nOldFormat );
 	const SvNumberformat* pOldEntry = pFormatter->GetEntry( nOldFormat );
 	if (!pOldEntry)
@@ -2471,7 +2471,7 @@
 
 	//	was haben wir denn da?
 
-	ULONG nNewFormat = nOldFormat;
+	sal_uInt32 nNewFormat = nOldFormat;
 	BOOL bError = FALSE;
 
 	LanguageType eLanguage = pOldEntry->GetLanguage();
